import 'package:auth/src/device_sign_up/device_signup_screen.dart';
import 'package:flutter/material.dart';
import 'package:get_it/get_it.dart';
import 'package:go_router/go_router.dart';
import 'package:navigation/navigation.dart';

class DeviceSignupBuilder {
  const DeviceSignupBuilder();

  Page<void> buildPage(BuildContext context, GoRouterState state) {
    final NavigationContract navigationContract = GetIt.I<NavigationContract>();

    return MaterialPage<void>(
      key: state.pageKey,
      child: DeviceSignupScreen(navigationContract: navigationContract),
    );
  }
}
